function yout=sincint(tin,yin,tout,fsout,ratio);

yout = zeros(size(tout));

yout(1:ratio:end) = yin;

tout2 = [-fliplr(tout) 0 tout];

f1 = sinc(fsout/ratio*(tout2-1/fsout));

ind1 = min(find((abs(f1) >= .001) == 1));
ind2 = max(find((abs(f1) >= .001) == 1));

f1 = f1(ind1:ind2);

[m,loc] = max(f1);

f = conv(f1,yout);

yout = f(loc:(loc+length(tout)-1));


